import { ArgValues, ComposerWithoutExplicitArgs, Question } from "@svelte-compose/core/composer/config";
import { TestOptions } from "..";
export type TestCase = {
    template: string;
    composer: ComposerWithoutExplicitArgs;
    options: ArgValues<Record<string, Question>>;
};
export declare function generateTestCases(composers: ComposerWithoutExplicitArgs[]): Promise<Map<string, TestCase[]>>;
export declare function runComposerTests(template: string, composer: ComposerWithoutExplicitArgs, options: ArgValues<Record<string, Question>>, testOptions: TestOptions): Promise<void>;
export type ComposerError = {
    composer: string;
    template: string;
    message: string;
};
export declare function runTestCases(testCases: Map<string, TestCase[]>, testOptions: TestOptions): Promise<void>;
